Package wx :: Package lib :: Module sized_controls :: Class SizedPanel

[frames | no frames]

## Type SizedPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                       PyPanel --+
                                 |
                                SizedPanel

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `AddChild(self, child)`
| `GetSizerType(self)`
| `SetSizerType(self, type, options)`

Property Summary

Instance Method Details

### __init__(self, *args, **kwargs)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.PyPanel.__init__` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:26 2009 | http://epydoc.sf.net